#ifndef YYERRCODE
#define YYERRCODE 256
#endif

#define BX_TOKEN_CONTINUE 257
#define BX_TOKEN_STEPN 258
#define BX_TOKEN_NEXT_STEP 259
#define BX_TOKEN_SET 260
#define BX_TOKEN_DEBUGGER 261
#define BX_TOKEN_VBREAKPOINT 262
#define BX_TOKEN_LBREAKPOINT 263
#define BX_TOKEN_PBREAKPOINT 264
#define BX_TOKEN_DEL_BREAKPOINT 265
#define BX_TOKEN_INFO 266
#define BX_TOKEN_QUIT 267
#define BX_TOKEN_PROGRAM 268
#define BX_TOKEN_REGISTERS 269
#define BX_TOKEN_LABELS 270
#define BX_TOKEN_FPU 271
#define BX_TOKEN_ALL 272
#define BX_TOKEN_IDT 273
#define BX_TOKEN_GDT 274
#define BX_TOKEN_LDT 275
#define BX_TOKEN_TSS 276
#define BX_TOKEN_DIRTY 277
#define BX_TOKEN_LINUX 278
#define BX_TOKEN_CONTROL_REGS 279
#define BX_TOKEN_EXAMINE 280
#define BX_TOKEN_LABEL 281
#define BX_TOKEN_XFORMAT 282
#define BX_TOKEN_SETPMEM 283
#define BX_TOKEN_SYMBOLNAME 284
#define BX_TOKEN_QUERY 285
#define BX_TOKEN_PENDING 286
#define BX_TOKEN_TAKE 287
#define BX_TOKEN_DMA 288
#define BX_TOKEN_IRQ 289
#define BX_TOKEN_DUMP_CPU 290
#define BX_TOKEN_SET_CPU 291
#define BX_TOKEN_DIS 292
#define BX_TOKEN_ON 293
#define BX_TOKEN_OFF 294
#define BX_TOKEN_DISASSEMBLE 295
#define BX_TOKEN_INSTRUMENT 296
#define BX_TOKEN_START 297
#define BX_TOKEN_STOP 298
#define BX_TOKEN_RESET 299
#define BX_TOKEN_PRINT 300
#define BX_TOKEN_LOADER 301
#define BX_TOKEN_STRING 302
#define BX_TOKEN_DOIT 303
#define BX_TOKEN_CRC 304
#define BX_TOKEN_TRACEON 305
#define BX_TOKEN_TRACEOFF 306
#define BX_TOKEN_PTIME 307
#define BX_TOKEN_TIMEBP_ABSOLUTE 308
#define BX_TOKEN_TIMEBP 309
#define BX_TOKEN_RECORD 310
#define BX_TOKEN_PLAYBACK 311
#define BX_TOKEN_MODEBP 312
#define BX_TOKEN_PRINT_STACK 313
#define BX_TOKEN_WATCH 314
#define BX_TOKEN_UNWATCH 315
#define BX_TOKEN_READ 316
#define BX_TOKEN_WRITE 317
#define BX_TOKEN_SHOW 318
#define BX_TOKEN_SYMBOL 319
#define BX_TOKEN_GLOBAL 320
#define BX_TOKEN_WHERE 321
#define BX_TOKEN_PRINT_STRING 322
#define BX_TOKEN_DIFF_MEMORY 323
#define BX_TOKEN_SYNC_MEMORY 324
#define BX_TOKEN_SYNC_CPU 325
#define BX_TOKEN_FAST_FORWARD 326
#define BX_TOKEN_PHY_2_LOG 327
#define BX_TOKEN_NUMERIC 328
#define BX_TOKEN_LONG_NUMERIC 329
#define BX_TOKEN_INFO_ADDRESS 330
#define BX_TOKEN_NE2000 331
#define BX_TOKEN_PAGE 332
#define BX_TOKEN_CS 333
#define BX_TOKEN_ES 334
#define BX_TOKEN_SS 335
#define BX_TOKEN_DS 336
#define BX_TOKEN_FS 337
#define BX_TOKEN_GS 338
#define BX_TOKEN_ALWAYS_CHECK 339
#define BX_TOKEN_MATHS 340
#define BX_TOKEN_ADD 341
#define BX_TOKEN_SUB 342
#define BX_TOKEN_MUL 343
#define BX_TOKEN_DIV 344
#define BX_TOKEN_V2L 345
#define BX_TOKEN_TRACEREGON 346
#define BX_TOKEN_TRACEREGOFF 347
#define BX_TOKEN_HELP 348
#define BX_TOKEN_SEXECON 349
#define BX_TOKEN_SEXECOFF 350
#define BX_TOKEN_LOGON 351
#define BX_TOKEN_LOGOFF 352
#define BX_TOKEN_REPLAYON 353
#define BX_TOKEN_REPLAYOFF 354
#define BX_TOKEN_RECOVERYON 355
#define BX_TOKEN_RECOVERYOFF 356
#define BX_TOKEN_CTHULHUON 357
#define BX_TOKEN_CTHULHUOFF 358
#define BX_TOKEN_TIMINGON 359
#define BX_TOKEN_TIMINGOFF 360
#define BX_TOKEN_CHEESYCP 361
#define BX_TOKEN_CHEESYEXIT 362
#define BX_TOKEN_CMOSON 363
#define BX_TOKEN_CMOSOFF 364
#define BX_TOKEN_PRINTTIMEON 365
#define BX_TOKEN_PRINTTIMEOFF 366
#define BX_TOKEN_MEATMODEON 367
#define BX_TOKEN_MEATMODEOFF 368
#define BX_TOKEN_UBERDEBUGON 369
#define BX_TOKEN_UBERDEBUGOFF 370
#define BX_TOKEN_SPRINGS 371
#define BX_TOKEN_PREDICATES 372
#define BX_TOKEN_ALLPREDICATES 373
#define BX_TOKEN_SUMMARIZE 374
#define BX_TOKEN_GARBAGE 375
#define BX_TOKEN_TIMINGADDR 376
#define BX_TOKEN_TAKEAGANDERAT 377
#define BX_TOKEN_VTIMINGADDR 378
#define BX_TOKEN_COUNTEXPR 379
#define BX_TOKEN_CLEARSYMBSTOR 380
#define BX_TOKEN_INVERTPRED 381
#define BX_TOKEN_RMINVERTPRED 382
#define BX_TOKEN_LSINVERTPRED 383
#define BX_TOKEN_SETPREDFILT 384
#define BX_TOKEN_CLEARPREDFILT 385
#define BX_TOKEN_ADDPREDFILT 386
#define BX_TOKEN_PREDFILT 387
#define BX_TOKEN_PREDCR3 388
#define BX_TOKEN_TBREAK 389
#define BX_TOKEN_DOUPDATECOUNT 390
#define BX_TOKEN_SETUCERROR 391
#define BX_TOKEN_TIMEDELTA 392
#define BX_TOKEN_PRINTUC 393
#define BX_TOKEN_SPEED 394
#define BX_TOKEN_DATAFORLABELS 395
#define BX_TOKEN_REMOVESKIPPY 396
#define BX_TOKEN_SETEIP 397
#define BX_TOKEN_PUTLABEL 398
#define BX_TOKEN_ADDRSINTEREST 399
#define BX_TOKEN_PRINTCR3 400
#define BX_TOKEN_SIGFROMGAMMA 401
typedef union {
  char    *sval;
  Bit32u   uval;
  Bit64u   ulval;
  bx_num_range   uval_range;
  } YYSTYPE;
extern YYSTYPE bxlval;
